import request from '@/utils/request'

// 查询设备列表
export function list(params) {
    return request({
        url: '/system/device/list',
        method: 'get',
        params
    })
}


// 查询设备详细
export function info(deviceId) {
    return request({
      url: '/system/device/' + deviceId,
      method: 'get'
    })
  }

// 新增设备
export function add(data) {
    return request({
        url: '/system/device',
        method: 'post',
        data
    })
}

// 修改设备
export function update(data) {
    return request({
        url: '/system/device',
        method: 'post',
        data
    })
}

// 删除设备
export function del(ids) {
    return request({
        url: '/system/device/' + ids,
        method: 'delete'
    })
}
